Index: uspace/lib/ui/test/menuentry.c
===================================================================
--- uspace/lib/ui/test/menuentry.c	(revision 95a9cbcc3cd6487b7a79e36c8d820f1163c37816)
+++ uspace/lib/ui/test/menuentry.c	(revision b8b64a813a029c8f1d40c1b17e79513d0a6aed8d)
@@ -99,5 +99,5 @@
 	PCUT_ASSERT_NOT_NULL(menu);
 
-	rc = ui_menu_entry_create(menu, "Foo", &mentry);
+	rc = ui_menu_entry_create(menu, "Foo", "F1", &mentry);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 	PCUT_ASSERT_NOT_NULL(mentry);
@@ -144,9 +144,9 @@
 	PCUT_ASSERT_NOT_NULL(menu);
 
-	rc = ui_menu_entry_create(menu, "Foo", &entry1);
+	rc = ui_menu_entry_create(menu, "Foo", "F1", &entry1);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 	PCUT_ASSERT_NOT_NULL(entry1);
 
-	rc = ui_menu_entry_create(menu, "Bar", &entry2);
+	rc = ui_menu_entry_create(menu, "Bar", "F2", &entry2);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 	PCUT_ASSERT_NOT_NULL(entry2);
@@ -166,13 +166,15 @@
 }
 
-/** ui_menu_entry_width() / ui_menu_entry_height() */
-PCUT_TEST(width_height)
-{
-	dummy_gc_t *dgc;
-	gfx_context_t *gc;
-	ui_resource_t *resource = NULL;
-	ui_menu_bar_t *mbar = NULL;
-	ui_menu_t *menu = NULL;
-	ui_menu_entry_t *mentry = NULL;
+/** ui_menu_entry_widths() / ui_menu_entry_height() */
+PCUT_TEST(widths_height)
+{
+	dummy_gc_t *dgc;
+	gfx_context_t *gc;
+	ui_resource_t *resource = NULL;
+	ui_menu_bar_t *mbar = NULL;
+	ui_menu_t *menu = NULL;
+	ui_menu_entry_t *mentry = NULL;
+	gfx_coord_t caption_w;
+	gfx_coord_t shortcut_w;
 	gfx_coord_t width;
 	gfx_coord_t height;
@@ -196,10 +198,14 @@
 	PCUT_ASSERT_NOT_NULL(menu);
 
-	rc = ui_menu_entry_create(menu, "X", &mentry);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(mentry);
-
-	width = ui_menu_entry_width(mentry);
-	PCUT_ASSERT_INT_EQUALS(11 + 8, width);
+	rc = ui_menu_entry_create(menu, "X", "Y", &mentry);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+	PCUT_ASSERT_NOT_NULL(mentry);
+
+	ui_menu_entry_column_widths(mentry, &caption_w, &shortcut_w);
+	PCUT_ASSERT_INT_EQUALS(11, caption_w);
+	PCUT_ASSERT_INT_EQUALS(10, shortcut_w);
+
+	width = ui_menu_entry_calc_width(menu, caption_w, shortcut_w);
+	PCUT_ASSERT_INT_EQUALS(4 + 11 + 8 + 10 + 4, width);
 
 	height = ui_menu_entry_height(mentry);
@@ -240,5 +246,5 @@
 	PCUT_ASSERT_NOT_NULL(menu);
 
-	rc = ui_menu_entry_create(menu, "Foo", &mentry);
+	rc = ui_menu_entry_create(menu, "Foo", "F1", &mentry);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 	PCUT_ASSERT_NOT_NULL(mentry);
@@ -284,5 +290,5 @@
 	PCUT_ASSERT_NOT_NULL(menu);
 
-	rc = ui_menu_entry_create(menu, "X", &mentry);
+	rc = ui_menu_entry_create(menu, "X", "Y", &mentry);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 	PCUT_ASSERT_NOT_NULL(mentry);
@@ -337,5 +343,5 @@
 	PCUT_ASSERT_NOT_NULL(menu);
 
-	rc = ui_menu_entry_create(menu, "X", &mentry);
+	rc = ui_menu_entry_create(menu, "X", "Y", &mentry);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 	PCUT_ASSERT_NOT_NULL(mentry);
@@ -395,5 +401,5 @@
 	PCUT_ASSERT_NOT_NULL(menu);
 
-	rc = ui_menu_entry_create(menu, "X", &mentry);
+	rc = ui_menu_entry_create(menu, "X", "Y", &mentry);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 	PCUT_ASSERT_NOT_NULL(mentry);
@@ -458,5 +464,5 @@
 	PCUT_ASSERT_NOT_NULL(menu);
 
-	rc = ui_menu_entry_create(menu, "X", &mentry);
+	rc = ui_menu_entry_create(menu, "X", "Y", &mentry);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 	PCUT_ASSERT_NOT_NULL(mentry);
@@ -508,5 +514,5 @@
 	PCUT_ASSERT_NOT_NULL(menu);
 
-	rc = ui_menu_entry_create(menu, "X", &mentry);
+	rc = ui_menu_entry_create(menu, "X", "Y", &mentry);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 	PCUT_ASSERT_NOT_NULL(mentry);
@@ -516,5 +522,5 @@
 
 	event.type = POS_PRESS;
-	event.hpos = 20;
+	event.hpos = 40;
 	event.vpos = 20;
 
@@ -558,5 +564,5 @@
 	PCUT_ASSERT_NOT_NULL(menu);
 
-	rc = ui_menu_entry_create(menu, "X", &mentry);
+	rc = ui_menu_entry_create(menu, "X", "Y", &mentry);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 	PCUT_ASSERT_NOT_NULL(mentry);
@@ -569,5 +575,5 @@
 
 	event.type = POS_UPDATE;
-	event.hpos = 20;
+	event.hpos = 40;
 	event.vpos = 20;
 
@@ -611,5 +617,5 @@
 	PCUT_ASSERT_NOT_NULL(menu);
 
-	rc = ui_menu_entry_create(menu, "X", &mentry);
+	rc = ui_menu_entry_create(menu, "X", "Y", &mentry);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 	PCUT_ASSERT_NOT_NULL(mentry);
